=== docqueries/components/CMakeLists.txt ===
# Do not use extensions
SET(LOCAL_FILES
    doc-pgr_articulationPoints
    doc-pgr_biconnectedComponents
    doc-pgr_bridges
    doc-pgr_connectedComponents
    doc-pgr_strongComponents
    )

foreach (f ${LOCAL_FILES})
    configure_file("${f}.result" "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}.queries")
    list(APPEND LOCAL_DOC_FILES  "${PGR_DOCUMENTATION_SOURCE_DIR}/${f}.queries")
endforeach()

set(PROJECT_DOC_FILES ${PROJECT_DOC_FILES} ${LOCAL_DOC_FILES} PARENT_SCOPE)
