=== debian/changelog ===
pgrouting (3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Refresh patches.
  * Add upstream metadata.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2021 07:59:31 +0100

pgrouting (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Dec 2020 19:18:48 +0100

pgrouting (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set PG_UPDATECONTROL=yes in rules file.
  * Bump watch file version to 4.
  * Update copyright years for pgRouting developers.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Nov 2020 17:09:04 +0100

pgrouting (3.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Don't ignore `pg_buildext clean` failure, issue is fixed.
  * Move from experimental to unstable.

  [ Christoph Berg ]
  * debian/tests/create-extension: Use `pg_buildext installed-versions` to
    make tests work even if the set of supported version has changed.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Oct 2020 05:44:52 +0200

pgrouting (3.1.0-2~exp1) experimental; urgency=medium

  * Team upload.
  * Update packaging for postgresql-13.
  * Reorder rules.
  * Ignore `pg_buildext clean` failure, see: #971517.
  * Drop obsolete lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Oct 2020 06:45:50 +0200
