## pgrouting 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #---------------------------------------------
 #---------------------------------------------
 
-project(PGROUTING VERSION 3.1.3
+project(PGROUTING VERSION 3.2.1
     LANGUAGES C CXX )
 set(PROJECT_VERSION_DEV "")
 string(TOLOWER "${PROJECT_NAME}" PROJECT_NAME_LOWER)
@@ -31,9 +31,10 @@
 
 string(TIMESTAMP COMPILATION_DATE "%Y/%m/%d")
 
-set(MINORS 3.1 3.0 2.6)
+set(MINORS 3.2 3.1 3.0 2.6)
 set(OLD_SIGNATURES
-    3.1.2 3.1.1 3.1.0
+    3.2.0
+    3.1.3 3.1.2 3.1.1 3.1.0
     3.0.5 3.0.4 3.0.3 3.0.2 3.0.1 3.0.0
     2.6.3 2.6.2 2.6.1 2.6.0
     )
@@ -52,7 +53,7 @@
 set(DOXYGEN_MINIMUM_VERSION "1.7")
 set(SPHINX_MINIMUM_VERSION "1.8")
 set(POSTGRESQL_MINIMUM_VERSION "9.2.0")
-set(BOOST_MINIMUM_VERSION "1.53.0")
+set(BOOST_MINIMUM_VERSION "1.56.0")
 set(POSTGIS_MINIMUM_VERSION "2.0.0")
 
 message(STATUS "DOXYGEN_MINIMUM_VERSION=${DOXYGEN_MINIMUM_VERSION}")
