=== src/coloring/CMakeLists.txt ===
ADD_LIBRARY(coloring OBJECT
    sequentialVertexColoring.c
    sequentialVertexColoring_driver.cpp
    bipartite.c
    bipartite_driver.cpp
    )
