=== debian/control ===
--- 
+++ 
@@ -14,8 +14,72 @@
                rdfind,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgrouting
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pgrouting.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pgrouting.git -b experimental
 Homepage: https://www.pgrouting.org
+
+Package: postgresql-9.6-pgrouting
+Architecture: any
+Depends: postgresql-9.6-pgrouting-scripts (>= ${source:Version}),
+         postgresql-9.6,
+         postgresql-9.6-postgis,
+         postgresql-9.6-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-9.6-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 9.6.
+
+Package: postgresql-10-pgrouting
+Architecture: any
+Depends: postgresql-10-pgrouting-scripts (>= ${source:Version}),
+         postgresql-10,
+         postgresql-10-postgis,
+         postgresql-10-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-10-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 10.
+
+Package: postgresql-11-pgrouting
+Architecture: any
+Depends: postgresql-11-pgrouting-scripts (>= ${source:Version}),
+         postgresql-11,
+         postgresql-11-postgis,
+         postgresql-11-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-11-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 11.
+
+Package: postgresql-12-pgrouting
+Architecture: any
+Depends: postgresql-12-pgrouting-scripts (>= ${source:Version}),
+         postgresql-12,
+         postgresql-12-postgis,
+         postgresql-12-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-12-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 12.
 
 Package: postgresql-13-pgrouting
 Architecture: any
@@ -33,6 +97,58 @@
  .
  This package supports PostgreSQL 13.
 
+Package: postgresql-9.6-pgrouting-scripts
+Architecture: all
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 9.6.
+
+Package: postgresql-10-pgrouting-scripts
+Architecture: all
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 10.
+
+Package: postgresql-11-pgrouting-scripts
+Architecture: all
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 11.
+
+Package: postgresql-12-pgrouting-scripts
+Architecture: all
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 12.
+
 Package: postgresql-13-pgrouting-scripts
 Architecture: all
 Depends: ${misc:Depends}
@@ -46,6 +162,54 @@
  .
  This package supports PostgreSQL 13.
 
+Package: postgresql-9.6-pgrouting-doc
+Architecture: all
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
+Package: postgresql-10-pgrouting-doc
+Architecture: all
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
+Package: postgresql-11-pgrouting-doc
+Architecture: all
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
+Package: postgresql-12-pgrouting-doc
+Architecture: all
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
 Package: postgresql-13-pgrouting-doc
 Architecture: all
 Section: doc
